Package icyllis.arc3d.granite

# Class SubRunContainer

java.lang.Object
icyllis.arc3d.granite.SubRunContainer

public class SubRunContainer extends Object
A SubRun represents a method to draw a subregion of a GlyphRun, where GlyphRun represents the shaped text (positioned glyphs) and a strike. SubRun is the basic unit that is ready for GPU task generation, except that it does not contain the current transformation matrix.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SubRunContainer.AtlasSubRun`
  `static final class`
  `SubRunContainer.DirectMaskSubRun`
  `static class`
  `SubRunContainer.SubRun`
  SubRun defines the most basic functionality of a SubRun; the ability to draw, and the ability to be in a list.
  `static final class`
  `SubRunContainer.TransformedMaskSubRun`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubRunContainer(Matrixc initialPositionMatrix)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `draw(Canvas canvas, float originX, float originY, Paint paint, GraniteDevice device)`
  `long`
  `getMemorySize()`
  `Matrixc`
  `initialPosition()`
  `boolean`
  `isEmpty()`
  `static SubRunContainer`
  `make(GlyphRunList glyphRunList, Matrixc positionMatrix, Paint runPaint, StrikeCache strikeCache)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubRunContainer

    public SubRunContainer(Matrixc initialPositionMatrix)

- ## Method Details

  - ### make

    @Nonnull public static SubRunContainer make(@Nonnull GlyphRunList glyphRunList, @Nonnull Matrixc positionMatrix, @Nonnull Paint runPaint, @Nonnull StrikeCache strikeCache)

  - ### draw

    public void draw(Canvas canvas, float originX, float originY, Paint paint, GraniteDevice device)

  - ### initialPosition

    public Matrixc initialPosition()

  - ### isEmpty

    public boolean isEmpty()

  - ### getMemorySize

    public long getMemorySize()